Name:            ginkgo
Version:         0.32
Release:         %mkrel 4
License:         GPLv2+
Url:             http://wiki.mandriva.com/en/Ginkgo
Group:           Graphical desktop/KDE 
Source0:         %name-%version.tar.bz2
Summary:         Ginkgo is a navigator for Nepomuk, the KDE semantic toolkit
BuildRequires:   kde4-macros
Requires:        python-kde4
Requires:        python-mako
Requires:        oxygen-icon-theme
BuildArch:       noarch
%description
Ginkgo is a graphical front-end for managing data semantically. Ginkgo 
lets you create and explore links between your personal data such 
as e-mails, contacts, files, Web pages. It harnesses the Nepomuk
framework.

%files -f %{name}.lang
%defattr(-,root,root)
%_kde_appsdir/%name
%_kde_datadir/applications/%name.desktop
%_bindir/%name

#------------------------------------------------

%prep
%setup -q -n %name-%version

%build
# clean old leftover from the tarball that prevent upload
rm -Rf src/ginkgo/util/.cache

# change "Report a Bug" URL to Mageia Bugzilla
sed -i 's!https://qa.mandriva.com!https://bugs.mageia.org!' %name

# also change .po headers for consistency
sed -i 's!https://qa.mandriva.com/!https://bugs.mageia.org/!' po/*.po
 
%install
rm -rf %buildroot
%__mkdir -p %buildroot%_kde_appsdir/%name
cp -frv src/* %buildroot%_kde_appsdir/%name/
%__mkdir %buildroot%_bindir/
cp -frv %name %buildroot%_bindir/%name

mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale
#make po_files
for i in po/*.po
do
  langdir="$RPM_BUILD_ROOT%{_datadir}/locale/`basename ${i} .po`/LC_MESSAGES/"
  mkdir -p ${langdir}
  msgfmt -o ${langdir}/%name.mo ${i}
done

chmod -R a+r %buildroot/%_kde_appsdir/%name

mkdir -p %buildroot%_kde_datadir/applications

cat > %buildroot%_kde_datadir/applications/%name.desktop << EOF
[Desktop Entry]
Name=Ginkgo
Comment=Ginkgo is a graphical front-end for Nepomuk
Exec=%{_bindir}/%name
Icon=nepomuk
Type=Application
Categories=Utility;KDE;Qt;
EOF

%find_lang %name



%changelog

* Sat Jan 12 2013 umeabot <umeabot> 0.32-4.mga3
+ Revision: 351567
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Oct 16 2011 doktor5000 <doktor5000> 0.32-3.mga2
+ Revision: 155578
- added .desktop file
- changed "Report Bug" URL to bugs.mageia.org
- added Requires on oxygen-icon-theme for the icon used in .desktop file

* Mon Oct 03 2011 misc <misc> 0.32-2.mga2
+ Revision: 151254
- remove cache from the tarball, as it should not be here

  + doktor5000 <doktor5000>
    - fix permissions (mga#2658)
    - remove obsolete %%clean

* Tue May 10 2011 mikala <mikala> 0.32-1.mga1
+ Revision: 96949
- Remove BuildRoot
- Minor change in spec
- imported package ginkgo

